"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function Changes() {
    return function (target, propertyKey, descriptor) {
        if (propertyKey === 'ngOnChanges') {
            var original_1 = descriptor.value;
            descriptor.value = function () {
                var args = [];
                for (var _i = 0; _i < arguments.length; _i++) {
                    args[_i] = arguments[_i];
                }
                console.group(target.constructor.name + " " + propertyKey + "()");
                console.table(args[0]);
                console.groupEnd();
                return original_1.call.apply(original_1, [this].concat(args));
            };
            return descriptor;
        }
    };
}
exports.Changes = Changes;
