"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function Group() {
    return function (target, propertyKey, descriptor) {
        var original = descriptor.value;
        descriptor.value = function () {
            var args = [];
            for (var _i = 0; _i < arguments.length; _i++) {
                args[_i] = arguments[_i];
            }
            console.group(target.constructor.name + " " + propertyKey + "()");
            var out = original.call.apply(original, [this].concat(args));
            console.groupEnd();
            return out;
        };
        return descriptor;
    };
}
exports.Group = Group;
