"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function Returned() {
    return function (target, propertyKey, descriptor) {
        var original = descriptor.value;
        descriptor.value = function () {
            var args = [];
            for (var _i = 0; _i < arguments.length; _i++) {
                args[_i] = arguments[_i];
            }
            var output = original.call.apply(original, [this].concat(args));
            console.group(target.constructor.name + " " + propertyKey + "()");
            if (output.constructor === Array || output.constructor === Object) {
                console.table(output);
            }
            else {
                console.log(output);
            }
            console.groupEnd();
            return output;
        };
    };
}
exports.Returned = Returned;
