"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function Count() {
    return function (target, propertyKey, descriptor) {
        var original = descriptor.value;
        descriptor.value = function () {
            var args = [];
            for (var _i = 0; _i < arguments.length; _i++) {
                args[_i] = arguments[_i];
            }
            console.count(target.constructor.name + " " + propertyKey + "()");
            return original.call.apply(original, [this].concat(args));
        };
        return descriptor;
    };
}
exports.Count = Count;
