"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function Methods() {
    return function (target) {
        Object.keys(target.prototype).forEach(function (methodName) {
            var original = target.prototype[methodName];
            target.prototype[methodName] = function () {
                var args = [];
                for (var _i = 0; _i < arguments.length; _i++) {
                    args[_i] = arguments[_i];
                }
                console.log.apply(console, [target.constructor.name + " " + methodName + "()"].concat(args));
                return original.call.apply(original, [this].concat(args));
            };
        });
    };
}
exports.Methods = Methods;
