"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function Time() {
    return function (target, propertyKey, descriptor) {
        var original = descriptor.value;
        descriptor.value = function () {
            var args = [];
            for (var _i = 0; _i < arguments.length; _i++) {
                args[_i] = arguments[_i];
            }
            console.time(target.constructor.name + " " + propertyKey + "()");
            var output = original.call.apply(original, [this].concat(args));
            console.timeEnd(target.constructor.name + " " + propertyKey + "()");
            return output;
        };
        return descriptor;
    };
}
exports.Time = Time;
